It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
Hello fellow Linux gamers!

Here you’ll find scripts allowing you to build packages for Debian, Arch Linux and any derivative (Ubuntu, Manjaro, Linux Mint, etc.) from your GOG installers for SteamWorld Heist.
You will then be able to easily install these packages with you favourite packages manager.

Download links and usage instructions can be found on the following page:
SteamWorld Heist

We hope you’ll enjoy the ease-of-use provided by these scripts as much as we enjoy writing and tweaking them ;)

Here you go for more supported games!

-----

Salut camarades Linuxiens !

Vous trouverez ici des scripts vous permettant de construire des paquets pour Debian, Arch Linux ou n’importe quelle distribution dérivée de celles-ci (Ubuntu, Manjaro, Linux Mint, etc.) à partir de vos installeurs GOG pour SteamWorld Heist.
Ces paquets pourront ensuite être installés facilement via votre gestionnaire de paquets habituel.

Les liens de téléchargement et les instructions d’utilisation se trouvent sur les pages suivantes :
SteamWorld Heist

Nous espérons que vous apprécierez le confort apporté par ces scripts autant que nous apprécions les écrire et les améliorer ;)

Pour plus de jeux, rendez-vous par ici !
avatar
vv221: Here you’ll find scripts allowing you to build packages for Debian, Arch Linux and any derivative (Ubuntu, Manjaro, Linux Mint, etc.) from your GOG installers for SteamWorld Heist.
[...]
SteamWorld Heist
Hi,
I have been interested in SteamWorld Heist ./play.it scripts since with GOG install game start fails on my Ubuntu 18.04 laptop ["Could not initialized SDL 2, error: Could not initialize UDEV" message].
But things may have changed back from 2017, because GOG now gives a "gog_steamworld_heist_2.0.0.3.sh" script while ./play.it target is a "SteamWorldHeist.tar.gz" file.

-----

Salut,
Les scripts ./play.it pour SteamWorld Heist m'intéressaient car, avec l'installation GOG, le lancement du jeu échoue sur mon portable sous Ubuntu 18.04 [message "Could not initialized SDL 2, error: Could not initialize UDEV"].
Mais il y a sûrement eu du changement depuis 2017 puisque GOG offre un script "gog_steamworld_heist_2.0.0.3.sh" alors que la cible ./play.est un fichier "SteamWorldHeist.tar.gz".
avatar
theojouedubanjo: (…)
Malheureusement SteamWorld Heist fait partie de ces jeux pour lesquels nous ne gérons par la version GOG.
Le fichier "SteamWorldHeist.tar.gz" est celui distribué par Humble Bundle.

J’ai mis à jour le ticket sur lequel on liste ce type de demandes pour que nos contributeurs sachent qu’il y a une attente pour la version GOG de SteamWorld Heist : https://framagit.org/vv221/play.it-games/issues/110#note_448407

-----

J’ai fait quelques tests de mon côté, et je pense que ton souci est du à une dépendance manquante. La commande suivante devrait permettre de s’assurer que tout ce qui est nécessaire au bon fonctionnement du jeu est installé :
sudo apt install libc6:i386 libstdc++6:i386 libgl1:i386 libopenal1:i386 libudev1:i386 libxrandr2:i386 libxcursor1:i386
Post edited July 20, 2019 by vv221

J’ai fait quelques tests de mon côté, et je pense que ton souci est du à une dépendance manquante.
Effectivement, l'installation de la dépendance libudev1:i386, comme mentionné sur un topic The Witcher 2: Assassins of Kings Enhanced Edition, m'avait permis de résoudre le problème.
Merci pour la mise à jour de la liste de demandes.